/*!
 * \file CategoryInfo.h
 * \brief
 * \author Gapchich Vladislav
 * \date 23/10/11
 */

#ifndef __CATEGORYINFO_H__
#define __CATEGORYINFO_H__

#include <iostream>
#include <string>

namespace OBJREC {

//! \brief Contains category name, it's color, id, flag
//!  indicating if it's main or not and methods for working with them
class CategoryInfo
{
public:
	CategoryInfo();
	CategoryInfo(const CategoryInfo &copy);
	~CategoryInfo();
	
	std::string categoryName() const;
	int id() const;
	unsigned int color() const;
	bool isMain() const;

	void setCategoryName(const std::string &aCategoryName);
	void setID(const int &anID);
	void setColor(const unsigned int &aColor);
	void setMain(bool aMain = true);
	
private:
	std::string category_name_;
	int id_;
	unsigned int color_;
	bool is_main_;
};

} //namespace

#endif /* __CATEGORYINFO_H__ */

/*
 * 
 */